diff --git a/sys/contrib/dev/acpica/source/tools/acpisrc/astable.c b/sys/contrib/dev/acpica/source/tools/acpisrc/astable.c
index 6cad24d0ce..367f3d057f 100644
--- a/sys/contrib/dev/acpica/source/tools/acpisrc/astable.c
+++ b/sys/contrib/dev/acpica/source/tools/acpisrc/astable.c
@@ -8,7 +8,7 @@
  *
  * 1. Copyright Notice
  *
- * Some or all of this work - Copyright (c) 1999 - 2021, Intel Corp.
+ * Some or all of this work - Copyright (c) 1999 - 2025, Intel Corp.
  * All rights reserved.
  *
  * 2. License
@@ -197,7 +197,7 @@ ACPI_STRING_TABLE           StandardDataTypes[] = {
 char                        EmptyHeader[] = "";
 char                        DualLicenseHeader[] =
 "/*\n"
-" * Copyright (C) 2000 - 2021, Intel Corp.\n"
+" * Copyright (C) 2000 - 2025, Intel Corp.\n"
 " * All rights reserved.\n"
 " *\n"
 " * Redistribution and use in source and binary forms, with or without\n"
@@ -306,6 +306,7 @@ ACPI_TYPED_IDENTIFIER_TABLE           AcpiIdentifiers[] = {
     {"ACPI_CONVERSION_TABLE",               SRC_TYPE_STRUCT},
     {"ACPI_CPU_FLAGS",                      SRC_TYPE_SIMPLE},
     {"ACPI_CREATE_FIELD_INFO",              SRC_TYPE_STRUCT},
+    {"ACPI_DATA_TABLE_MAPPING",             SRC_TYPE_STRUCT},
     {"ACPI_DB_ARGUMENT_INFO",               SRC_TYPE_STRUCT},
     {"ACPI_DB_COMMAND_HELP",                SRC_TYPE_STRUCT},
     {"ACPI_DB_COMMAND_INFO",                SRC_TYPE_STRUCT},
@@ -339,6 +340,7 @@ ACPI_TYPED_IDENTIFIER_TABLE           AcpiIdentifiers[] = {
     {"ACPI_FIND_CONTEXT",                   SRC_TYPE_STRUCT},
     {"ACPI_FIXED_EVENT_HANDLER",            SRC_TYPE_STRUCT},
     {"ACPI_FIXED_EVENT_INFO",               SRC_TYPE_STRUCT},
+    {"ACPI_FFH_INFO",                       SRC_TYPE_STRUCT},
     {"ACPI_GBL_EVENT_HANDLER",              SRC_TYPE_SIMPLE},
     {"ACPI_GENERIC_ADDRESS",                SRC_TYPE_STRUCT},
     {"ACPI_GENERIC_STATE",                  SRC_TYPE_UNION},
@@ -373,6 +375,7 @@ ACPI_TYPED_IDENTIFIER_TABLE           AcpiIdentifiers[] = {
     {"ACPI_LPIT_HEADER",                    SRC_TYPE_STRUCT},
     {"ACPI_LPIT_IO",                        SRC_TYPE_STRUCT},
     {"ACPI_LPIT_NATIVE",                    SRC_TYPE_STRUCT},
+    {"ACPI_MEM_MAPPING",                    SRC_TYPE_STRUCT},
     {"ACPI_MEM_SPACE_CONTEXT",              SRC_TYPE_STRUCT},
     {"ACPI_MEMORY_ATTRIBUTE",               SRC_TYPE_STRUCT},
     {"ACPI_MEMORY_LIST",                    SRC_TYPE_STRUCT},
@@ -465,6 +468,10 @@ ACPI_TYPED_IDENTIFIER_TABLE           AcpiIdentifiers[] = {
     {"ACPI_RASF_PARAMETER_BLOCK",           SRC_TYPE_STRUCT},
     {"ACPI_RASF_PATROL_SCRUB_PARAMETER",    SRC_TYPE_STRUCT},
     {"ACPI_RASF_SHARED_MEMORY",             SRC_TYPE_STRUCT},
+    {"ACPI_RAS2_PARAMETER_BLOCK",           SRC_TYPE_STRUCT},
+    {"ACPI_RAS2_PATROL_SCRUB_PARAM",        SRC_TYPE_STRUCT},
+    {"ACPI_RAS2_LA2PA_TRANSLATION_PARAM",   SRC_TYPE_STRUCT},
+    {"ACPI_RAS2_SHMEM",                     SRC_TYPE_STRUCT},
     {"ACPI_REGION_WALK_INFO",               SRC_TYPE_STRUCT},
     {"ACPI_REPAIR_FUNCTION",                SRC_TYPE_SIMPLE},
     {"ACPI_REPAIR_INFO",                    SRC_TYPE_STRUCT},
@@ -530,6 +537,7 @@ ACPI_TYPED_IDENTIFIER_TABLE           AcpiIdentifiers[] = {
     {"ACPI_STRING",                         SRC_TYPE_SIMPLE},
     {"ACPI_STRING_TABLE",                   SRC_TYPE_STRUCT},
     {"ACPI_SUBTABLE_HEADER",                SRC_TYPE_STRUCT},
+    {"ACPI_SUBTBL_HDR_16",                  SRC_TYPE_STRUCT},
     {"ACPI_SYSTEM_INFO",                    SRC_TYPE_STRUCT},
     {"ACPI_TABLE_DESC",                     SRC_TYPE_STRUCT},
     {"ACPI_TABLE_HANDLER",                  SRC_TYPE_SIMPLE},
@@ -648,16 +656,18 @@ ACPI_TYPED_IDENTIFIER_TABLE           AcpiIdentifiers[] = {
     {"ACPI_TABLE_BERT",                     SRC_TYPE_STRUCT},
     {"ACPI_TABLE_BGRT",                     SRC_TYPE_STRUCT},
     {"ACPI_TABLE_BOOT",                     SRC_TYPE_STRUCT},
+    {"ACPI_TABLE_CCEL",                     SRC_TYPE_STRUCT},
+    {"ACPI_TABLE_CDAT",                     SRC_TYPE_STRUCT},
     {"ACPI_TABLE_CEDT",                     SRC_TYPE_STRUCT},
     {"ACPI_TABLE_CPEP",                     SRC_TYPE_STRUCT},
     {"ACPI_TABLE_CSRT",                     SRC_TYPE_STRUCT},
     {"ACPI_TABLE_DBG2",                     SRC_TYPE_STRUCT},
     {"ACPI_TABLE_DBGP",                     SRC_TYPE_STRUCT},
-    {"ACPI_TABLE_CEDT",                     SRC_TYPE_STRUCT},
     {"ACPI_TABLE_DMAR",                     SRC_TYPE_STRUCT},
     {"ACPI_TABLE_DRTM",                     SRC_TYPE_STRUCT},
     {"ACPI_TABLE_ECDT",                     SRC_TYPE_STRUCT},
     {"ACPI_TABLE_EINJ",                     SRC_TYPE_STRUCT},
+    {"ACPI_TABLE_ERDT",                     SRC_TYPE_STRUCT},
     {"ACPI_TABLE_ERST",                     SRC_TYPE_STRUCT},
     {"ACPI_TABLE_FACS",                     SRC_TYPE_STRUCT},
     {"ACPI_TABLE_FADT",                     SRC_TYPE_STRUCT},
@@ -672,7 +682,9 @@ ACPI_TYPED_IDENTIFIER_TABLE           AcpiIdentifiers[] = {
     {"ACPI_TABLE_MADT",                     SRC_TYPE_STRUCT},
     {"ACPI_TABLE_MCFG",                     SRC_TYPE_STRUCT},
     {"ACPI_TABLE_MCHI",                     SRC_TYPE_STRUCT},
+    {"ACPI_TABLE_MPAM",                     SRC_TYPE_STRUCT},
     {"ACPI_TABLE_MPST",                     SRC_TYPE_STRUCT},
+    {"ACPI_TABLE_MRRM",                     SRC_TYPE_STRUCT},
     {"ACPI_TABLE_MSCT",                     SRC_TYPE_STRUCT},
     {"ACPI_TABLE_MSDM",                     SRC_TYPE_STRUCT},
     {"ACPI_TABLE_NFIT",                     SRC_TYPE_STRUCT},
@@ -686,7 +698,6 @@ ACPI_TYPED_IDENTIFIER_TABLE           AcpiIdentifiers[] = {
     {"ACPI_TABLE_RGRT",                     SRC_TYPE_STRUCT},
     {"ACPI_TABLE_RSDP",                     SRC_TYPE_STRUCT},
     {"ACPI_TABLE_RSDT",                     SRC_TYPE_STRUCT},
-    {"ACPI_TABLE_MCHI",                     SRC_TYPE_STRUCT},
     {"ACPI_TABLE_S3PT",                     SRC_TYPE_STRUCT},
     {"ACPI_TABLE_SBST",                     SRC_TYPE_STRUCT},
     {"ACPI_TABLE_SDEV",                     SRC_TYPE_STRUCT},
@@ -719,12 +730,14 @@ ACPI_TYPED_IDENTIFIER_TABLE           AcpiIdentifiers[] = {
     {"ACPI_AEST_MEMORY",                    SRC_TYPE_STRUCT},
     {"ACPI_AEST_NODE_INTERFACE",            SRC_TYPE_STRUCT},
     {"ACPI_AEST_NODE_INTERRUPT",            SRC_TYPE_STRUCT},
+    {"ACPI_AEST_NODE_INTERRUPT_V2",         SRC_TYPE_STRUCT},
     {"ACPI_AEST_PROCESSOR",                 SRC_TYPE_STRUCT},
     {"ACPI_AEST_PROCESSOR_CACHE",           SRC_TYPE_STRUCT},
     {"ACPI_AEST_PROCESSOR_GENERIC",         SRC_TYPE_STRUCT},
     {"ACPI_AEST_PROCESSOR_TLB",             SRC_TYPE_STRUCT},
     {"ACPI_AEST_SMMU",                      SRC_TYPE_STRUCT},
     {"ACPI_AEST_VENDOR",                    SRC_TYPE_STRUCT},
+    {"ACPI_AEST_VENDOR_V2",                 SRC_TYPE_STRUCT},
     {"ACPI_ASF_ADDRESS",                    SRC_TYPE_STRUCT},
     {"ACPI_ASF_ALERT",                      SRC_TYPE_STRUCT},
     {"ACPI_ASF_ALERT_DATA",                 SRC_TYPE_STRUCT},
@@ -754,6 +767,18 @@ ACPI_TYPED_IDENTIFIER_TABLE           AcpiIdentifiers[] = {
     {"ACPI_DRTM_VTABLE_LIST",               SRC_TYPE_STRUCT},
     {"ACPI_EINJ_ENTRY",                     SRC_TYPE_STRUCT},
     {"ACPI_EINJ_TRIGGER",                   SRC_TYPE_STRUCT},
+    {"ACPI_ERDT_RMDD",                      SRC_TYPE_STRUCT},
+    {"ACPI_ERDT_CACD",                      SRC_TYPE_STRUCT},
+    {"ACPI_ERDT_DACD",                      SRC_TYPE_STRUCT},
+    {"ACPI_ERDT_DACD_PATHS",                SRC_TYPE_STRUCT},
+    {"ACPI_ERDT_CMRC",                      SRC_TYPE_STRUCT},
+    {"ACPI_ERDT_MMRC",                      SRC_TYPE_STRUCT},
+    {"ACPI_ERDT_MARC",                      SRC_TYPE_STRUCT},
+    {"ACPI_ERDT_CARC",                      SRC_TYPE_STRUCT},
+    {"ACPI_ERDT_CMRD",                      SRC_TYPE_STRUCT},
+    {"ACPI_ERDT_IBRD",                      SRC_TYPE_STRUCT},
+    {"ACPI_ERDT_IBAD",                      SRC_TYPE_STRUCT},
+    {"ACPI_ERDT_CARD",                      SRC_TYPE_STRUCT},
     {"ACPI_ERST_ENTRY",                     SRC_TYPE_STRUCT},
     {"ACPI_ERST_INFO",                      SRC_TYPE_STRUCT},
     {"ACPI_FPDT_HEADER",                    SRC_TYPE_STRUCT},
@@ -830,6 +855,10 @@ ACPI_TYPED_IDENTIFIER_TABLE           AcpiIdentifiers[] = {
     {"ACPI_MADT_MULTIPROC_WAKEUP_MAILBOX",  SRC_TYPE_STRUCT},
     {"ACPI_MADT_PROCESSOR_APIC",            SRC_TYPE_STRUCT},
     {"ACPI_MCFG_ALLOCATION",                SRC_TYPE_STRUCT},
+    {"ACPI_MPAM_MSC_NODE",                  SRC_TYPE_STRUCT},
+    {"ACPI_MPAM_RESOURCE_LOCATOR",          SRC_TYPE_STRUCT},
+    {"ACPI_MPAM_RESOURCE_NODE",             SRC_TYPE_STRUCT},
+    {"ACPI_MRRM_MEM_RANGE_ENTRY",           SRC_TYPE_STRUCT},
     {"ACPI_MPST_COMPONENT",                 SRC_TYPE_STRUCT},
     {"ACPI_MPST_DATA_HDR",                  SRC_TYPE_STRUCT},
     {"ACPI_MPST_POWER_DATA",                SRC_TYPE_STRUCT},
@@ -846,36 +875,18 @@ ACPI_TYPED_IDENTIFIER_TABLE           AcpiIdentifiers[] = {
     {"ACPI_NFIT_MEMORY_MAP",                SRC_TYPE_STRUCT},
     {"ACPI_NFIT_SMBIOS",                    SRC_TYPE_STRUCT},
     {"ACPI_NFIT_SYSTEM_ADDRESS",            SRC_TYPE_STRUCT},
-    {"ACPI_NHLT_DEVICE_SPECIFIC_CONFIG",    SRC_TYPE_STRUCT},
-    {"ACPI_NHLT_DEVICE_SPECIFIC_CONFIG_A",  SRC_TYPE_STRUCT},
-    {"ACPI_NHLT_DEVICE_SPECIFIC_CONFIG_B",  SRC_TYPE_STRUCT},
-    {"ACPI_NHLT_DEVICE_SPECIFIC_CONFIG_C",  SRC_TYPE_STRUCT},
-    {"ACPI_NHLT_DEVICE_SPECIFIC_CONFIG_D",  SRC_TYPE_STRUCT},
-    {"ACPI_NHLT_DEVICE_SPECIFIC_HDR",       SRC_TYPE_STRUCT},
     {"ACPI_NHLT_ENDPOINT",                  SRC_TYPE_STRUCT},
-    {"ACPI_NHLT_ENDPOINT_COUNT",            SRC_TYPE_STRUCT},
+    {"ACPI_NHLT_CONFIG",                    SRC_TYPE_STRUCT},
+    {"ACPI_NHLT_GENDEVICE_CONFIG",          SRC_TYPE_STRUCT},
+    {"ACPI_NHLT_MICDEVICE_CONFIG",          SRC_TYPE_STRUCT},
+    {"ACPI_NHLT_VENDOR_MIC_CONFIG",         SRC_TYPE_STRUCT},
+    {"ACPI_NHLT_VENDOR_MICDEVICE_CONFIG",   SRC_TYPE_STRUCT},
+    {"ACPI_NHLT_DEVICE_CONFIG",             SRC_TYPE_UNION},
+    {"ACPI_NHLT_WAVE_FORMATEXT",            SRC_TYPE_STRUCT},
     {"ACPI_NHLT_FORMAT_CONFIG",             SRC_TYPE_STRUCT},
     {"ACPI_NHLT_FORMATS_CONFIG",            SRC_TYPE_STRUCT},
-    {"ACPI_NHLT_LINUX_SPECIFIC_COUNT",      SRC_TYPE_STRUCT},
-    {"ACPI_NHLT_LINUX_SPECIFIC_DATA",       SRC_TYPE_STRUCT},
-    {"ACPI_NHLT_LINUX_SPECIFIC_DATA_B",     SRC_TYPE_STRUCT},
-    {"ACPI_NHLT_MIC_DEVICE_SPECIFIC_CONFIG", SRC_TYPE_STRUCT},
-    {"ACPI_NHLT_MIC_SNR_SENSITIVITY_EXTENSION",SRC_TYPE_STRUCT},
-    {"ACPI_NHLT_RENDER_DEVICE_SPECIFIC_CONFIG", SRC_TYPE_STRUCT},
-    {"ACPI_NHLT_RENDER_FEEDBACK_DEVICE_SPECIFIC_CONFIG", SRC_TYPE_STRUCT},
-    {"ACPI_NHLT_TABLE_TERMINATOR",          SRC_TYPE_STRUCT},
-    {"ACPI_NHLT_WAVE_EXTENSIBLE",           SRC_TYPE_STRUCT},
-    {"ACPI_TABLE_NHLT_ENDPOINT",            SRC_TYPE_STRUCT},
-    {"ACPI_NHLT_VENDOR_MIC_DEVICE_SPECIFIC_CONFIG",  SRC_TYPE_STRUCT},
-    {"ACPI_NHLT_MIC_DEVICE_SPECIFIC_CONFIG",SRC_TYPE_STRUCT},
-    {"ACPI_NHLT_MIC_SNR_SENSITIVITY_EXTENSION",         SRC_TYPE_STRUCT},
-    {"ACPI_NHLT_RENDER_FEEDBACK_DEVICE_SPECIFIC_CONFIG",SRC_TYPE_STRUCT},
-    {"ACPI_TABLE_NHLT_ENDPOINT_COUNT",      SRC_TYPE_STRUCT},
-    {"ACPI_NHLT_TABLE_TERMINATOR",          SRC_TYPE_STRUCT},
-    {"ACPI_NHLT_VENDOR_MIC_CONFIG",         SRC_TYPE_STRUCT},
-    {"ACPI_NHLT_VENDOR_MIC_COUNT",          SRC_TYPE_STRUCT},
-    {"ACPI_NHLT_VENDOR_MIC_DEVICE_SPECIFIC_CONFIG",     SRC_TYPE_STRUCT},
-    {"ACPI_NHLT_WAVE_EXTENSIBLE",           SRC_TYPE_STRUCT},
+    {"ACPI_NHLT_DEVICE_INFO",               SRC_TYPE_STRUCT},
+    {"ACPI_NHLT_DEVICES_INFO",              SRC_TYPE_STRUCT},
     {"ACPI_PCCT_EXT_PCC_SHARED_MEMORY",     SRC_TYPE_STRUCT},
     {"ACPI_PCCT_HW_REDUCED",                SRC_TYPE_STRUCT},
     {"ACPI_PCCT_HW_REDUCED_TYPE2",          SRC_TYPE_STRUCT},
@@ -888,7 +899,6 @@ ACPI_TYPED_IDENTIFIER_TABLE           AcpiIdentifiers[] = {
     {"ACPI_PHAT_HEADER",                    SRC_TYPE_STRUCT},
     {"ACPI_PHAT_VERSION_DATA",              SRC_TYPE_STRUCT},
     {"ACPI_PHAT_VERSION_ELEMENT",           SRC_TYPE_STRUCT},
-    {"ACPI_PHAT_VERSION_ELEMENT",           SRC_TYPE_STRUCT},
     {"ACPI_PHAT_HEALTH_DATA",               SRC_TYPE_STRUCT},
     {"ACPI_PMTT_CONTROLLER",                SRC_TYPE_STRUCT},
     {"ACPI_PMTT_HEADER",                    SRC_TYPE_STRUCT},
@@ -919,6 +929,7 @@ ACPI_TYPED_IDENTIFIER_TABLE           AcpiIdentifiers[] = {
     {"ACPI_SRAT_GENERIC_AFFINITY",          SRC_TYPE_STRUCT},
     {"ACPI_SRAT_MEM_AFFINITY",              SRC_TYPE_STRUCT},
     {"ACPI_SRAT_X2APIC_CPU_AFFINITY",       SRC_TYPE_STRUCT},
+    {"ACPI_SRAT_RINTC_AFFINITY",            SRC_TYPE_STRUCT},
     {"ACPI_TABLE_TCPA_CLIENT",              SRC_TYPE_STRUCT},
     {"ACPI_TABLE_TCPA_SERVER",              SRC_TYPE_STRUCT},
     {"ACPI_TPM2_TRAILER",                   SRC_TYPE_STRUCT},
@@ -958,6 +969,7 @@ ACPI_TYPED_IDENTIFIER_TABLE           AcpiIdentifiers[] = {
     {"AH_ASL_KEYWORD",                      SRC_TYPE_STRUCT},
     {"AH_DEVICE_ID",                        SRC_TYPE_STRUCT},
     {"AH_PREDEFINED_NAME",                  SRC_TYPE_STRUCT},
+    {"AH_TABLE",                            SRC_TYPE_STRUCT},
     {"AH_UUID",                             SRC_TYPE_STRUCT},
 
     /* AcpiXtract utility */
@@ -1248,8 +1260,8 @@ ACPI_CONVERSION_TABLE       LicenseConversionTable =
 
 ACPI_STRING_TABLE           CustomReplacements[] =
 {
-    {"(c) 1999 - 2020",     "(c) 1999 - 2021",         REPLACE_WHOLE_WORD}, /* Main ACPICA source */
-    {"(c) 2006 - 2020",     "(c) 2006 - 2021",         REPLACE_WHOLE_WORD}, /* Test suites */
+    {"(c) 1999 - 2025",     "(c) 1999 - 2025",         REPLACE_WHOLE_WORD}, /* Main ACPICA source */
+    {"(c) 2006 - 2023",     "(c) 2006 - 2025",         REPLACE_WHOLE_WORD}, /* Test suites */
 
 #if 0
     {"SUPPORT, ASSISTANCE", "SUPPORT, ASSISTANCE",     REPLACE_WHOLE_WORD}, /* Fix intel header */
diff --git a/sys/contrib/dev/acpica/source/tools/acpisrc/asutils.c b/sys/contrib/dev/acpica/source/tools/acpisrc/asutils.c
index b1cac273bd..ae788e7d13 100644
--- a/sys/contrib/dev/acpica/source/tools/acpisrc/asutils.c
+++ b/sys/contrib/dev/acpica/source/tools/acpisrc/asutils.c
@@ -8,7 +8,7 @@
  *
  * 1. Copyright Notice
  *
- * Some or all of this work - Copyright (c) 1999 - 2021, Intel Corp.
+ * Some or all of this work - Copyright (c) 1999 - 2025, Intel Corp.
  * All rights reserved.
  *
  * 2. License
diff --git a/sys/contrib/dev/acpica/source/tools/acpixtract/acpixtract.c b/sys/contrib/dev/acpica/source/tools/acpixtract/acpixtract.c
index 6e213251d7..1760422a2e 100644
--- a/sys/contrib/dev/acpica/source/tools/acpixtract/acpixtract.c
+++ b/sys/contrib/dev/acpica/source/tools/acpixtract/acpixtract.c
@@ -9,7 +9,7 @@
  *
  * 1. Copyright Notice
  *
- * Some or all of this work - Copyright (c) 1999 - 2021, Intel Corp.
+ * Some or all of this work - Copyright (c) 1999 - 2025, Intel Corp.
  * All rights reserved.
  *
  * 2. License
@@ -186,6 +186,7 @@ AxExtractTables (
     int                     Status = 0;
     unsigned int            State = AX_STATE_FIND_HEADER;
 
+    memset (UpperSignature, 0, sizeof(UpperSignature));
 
     /* Open input in text mode, output is in binary mode */
 
@@ -204,7 +205,7 @@ AxExtractTables (
 
     if (Signature)
     {
-        strncpy (UpperSignature, Signature, ACPI_NAMESEG_SIZE);
+        memcpy (UpperSignature, Signature, ACPI_NAMESEG_SIZE);
         AcpiUtStrupr (UpperSignature);
 
         /* Are there enough instances of the table to continue? */
@@ -212,7 +213,8 @@ AxExtractTables (
         AxNormalizeSignature (UpperSignature);
         Instances = AxCountTableInstances (InputPathname, UpperSignature);
 
-        if (Instances < MinimumInstances)
+        if (Instances < MinimumInstances ||
+            (Instances == 0 && MinimumInstances == AX_OPTIONAL_TABLES))
         {
             printf ("Table [%s] was not found in %s\n",
                 UpperSignature, InputPathname);
@@ -561,7 +563,7 @@ AxListAllTables (
     FILE                    *InputFile;
     unsigned char           Header[48];
     UINT32                  ByteCount = 0;
-    int                     ThisLineByteCount;
+    INT32                   ThisLineByteCount;
     unsigned int            State = AX_STATE_FIND_HEADER;
 
 
diff --git a/sys/contrib/dev/acpica/source/tools/acpixtract/acpixtract.h b/sys/contrib/dev/acpica/source/tools/acpixtract/acpixtract.h
index c852a80dc1..2a3bcf6d02 100644
--- a/sys/contrib/dev/acpica/source/tools/acpixtract/acpixtract.h
+++ b/sys/contrib/dev/acpica/source/tools/acpixtract/acpixtract.h
@@ -8,7 +8,7 @@
  *
  * 1. Copyright Notice
  *
- * Some or all of this work - Copyright (c) 1999 - 2021, Intel Corp.
+ * Some or all of this work - Copyright (c) 1999 - 2025, Intel Corp.
  * All rights reserved.
  *
  * 2. License
diff --git a/sys/contrib/dev/acpica/source/tools/acpixtract/axmain.c b/sys/contrib/dev/acpica/source/tools/acpixtract/axmain.c
index 2d41c85943..54cc22bf3e 100644
--- a/sys/contrib/dev/acpica/source/tools/acpixtract/axmain.c
+++ b/sys/contrib/dev/acpica/source/tools/acpixtract/axmain.c
@@ -8,7 +8,7 @@
  *
  * 1. Copyright Notice
  *
- * Some or all of this work - Copyright (c) 1999 - 2021, Intel Corp.
+ * Some or all of this work - Copyright (c) 1999 - 2025, Intel Corp.
  * All rights reserved.
  *
  * 2. License
diff --git a/sys/contrib/dev/acpica/source/tools/acpixtract/axutils.c b/sys/contrib/dev/acpica/source/tools/acpixtract/axutils.c
index cdb22b54d3..03bc7b6d0d 100644
--- a/sys/contrib/dev/acpica/source/tools/acpixtract/axutils.c
+++ b/sys/contrib/dev/acpica/source/tools/acpixtract/axutils.c
@@ -8,7 +8,7 @@
  *
  * 1. Copyright Notice
  *
- * Some or all of this work - Copyright (c) 1999 - 2021, Intel Corp.
+ * Some or all of this work - Copyright (c) 1999 - 2025, Intel Corp.
  * All rights reserved.
  *
  * 2. License
@@ -680,7 +680,7 @@ AxDumpTableHeader (
 
     /* RSDP has an oddball signature and header */
 
-    if (!strncmp (TableHeader->Signature, "RSD PTR ", 8))
+    if (ACPI_VALIDATE_RSDP_SIG (TableHeader->Signature))
     {
         AxCheckAscii ((char *) &Header[9], 6);
 
diff --git a/sys/contrib/dev/acpica/source/tools/efihello/efihello.c b/sys/contrib/dev/acpica/source/tools/efihello/efihello.c
index a9b169a401..daa12fa996 100644
--- a/sys/contrib/dev/acpica/source/tools/efihello/efihello.c
+++ b/sys/contrib/dev/acpica/source/tools/efihello/efihello.c
@@ -8,7 +8,7 @@
  *
  * 1. Copyright Notice
  *
- * Some or all of this work - Copyright (c) 1999 - 2021, Intel Corp.
+ * Some or all of this work - Copyright (c) 1999 - 2025, Intel Corp.
  * All rights reserved.
  *
  * 2. License
diff --git a/sys/contrib/dev/acpica/source/tools/examples/examples.c b/sys/contrib/dev/acpica/source/tools/examples/examples.c
index c27d907173..b3bff9beb3 100644
--- a/sys/contrib/dev/acpica/source/tools/examples/examples.c
+++ b/sys/contrib/dev/acpica/source/tools/examples/examples.c
@@ -8,7 +8,7 @@
  *
  * 1. Copyright Notice
  *
- * Some or all of this work - Copyright (c) 1999 - 2021, Intel Corp.
+ * Some or all of this work - Copyright (c) 1999 - 2025, Intel Corp.
  * All rights reserved.
  *
  * 2. License
diff --git a/sys/contrib/dev/acpica/source/tools/examples/examples.h b/sys/contrib/dev/acpica/source/tools/examples/examples.h
index fc61502f0d..88f520a63c 100644
--- a/sys/contrib/dev/acpica/source/tools/examples/examples.h
+++ b/sys/contrib/dev/acpica/source/tools/examples/examples.h
@@ -8,7 +8,7 @@
  *
  * 1. Copyright Notice
  *
- * Some or all of this work - Copyright (c) 1999 - 2021, Intel Corp.
+ * Some or all of this work - Copyright (c) 1999 - 2025, Intel Corp.
  * All rights reserved.
  *
  * 2. License
diff --git a/sys/contrib/dev/acpica/source/tools/examples/exstubs.c b/sys/contrib/dev/acpica/source/tools/examples/exstubs.c
index cb3b0049ae..aede01ee0c 100644
--- a/sys/contrib/dev/acpica/source/tools/examples/exstubs.c
+++ b/sys/contrib/dev/acpica/source/tools/examples/exstubs.c
@@ -8,7 +8,7 @@
  *
  * 1. Copyright Notice
  *
- * Some or all of this work - Copyright (c) 1999 - 2021, Intel Corp.
+ * Some or all of this work - Copyright (c) 1999 - 2025, Intel Corp.
  * All rights reserved.
  *
  * 2. License
diff --git a/sys/contrib/dev/acpica/source/tools/examples/extables.c b/sys/contrib/dev/acpica/source/tools/examples/extables.c
index 6571d16a5a..090876e61d 100644
--- a/sys/contrib/dev/acpica/source/tools/examples/extables.c
+++ b/sys/contrib/dev/acpica/source/tools/examples/extables.c
@@ -8,7 +8,7 @@
  *
  * 1. Copyright Notice
  *
- * Some or all of this work - Copyright (c) 1999 - 2021, Intel Corp.
+ * Some or all of this work - Copyright (c) 1999 - 2025, Intel Corp.
  * All rights reserved.
  *
  * 2. License
@@ -315,19 +315,19 @@ ExInitializeAcpiTables (
     /* Set new checksums for the modified tables */
 
     Rsdp->Checksum = 0;
-    Rsdp->Checksum = (UINT8) -AcpiTbChecksum (
+    Rsdp->Checksum = (UINT8) -AcpiUtChecksum (
         (void *) RsdpCode, ACPI_RSDP_CHECKSUM_LENGTH);
 
     Rsdt->Header.Checksum = 0;
-    Rsdt->Header.Checksum = (UINT8) -AcpiTbChecksum (
+    Rsdt->Header.Checksum = (UINT8) -AcpiUtChecksum (
         (void *) Rsdt, Rsdt->Header.Length);
 
     Xsdt->Header.Checksum = 0;
-    Xsdt->Header.Checksum =  (UINT8) -AcpiTbChecksum (
+    Xsdt->Header.Checksum =  (UINT8) -AcpiUtChecksum (
         (void *) Xsdt, Xsdt->Header.Length);
 
     Fadt->Header.Checksum = 0;
-    Fadt->Header.Checksum =  (UINT8) -AcpiTbChecksum (
+    Fadt->Header.Checksum =  (UINT8) -AcpiUtChecksum (
         (void *) Fadt, Fadt->Header.Length);
 }
 
diff --git a/sys/dev/acpica/Makefile b/sys/dev/acpica/Makefile
index fa462852df..404d472ffe 100644
--- a/sys/dev/acpica/Makefile
+++ b/sys/dev/acpica/Makefile
@@ -53,7 +53,7 @@ SRCS+=	rsaddr.c rscalc.c rscreate.c rsdump.c rsdumpinfo.c rsinfo.c rsio.c
 SRCS+=	rsirq.c rslist.c rsmemory.c rsmisc.c rsserial.c rsutils.c
 SRCS+=	rsxface.c tbdata.c tbfadt.c tbfind.c tbinstal.c tbprint.c
 SRCS+=	tbutils.c tbxface.c tbxfload.c tbxfroot.c
-SRCS+=	utalloc.c utascii.c utbuffer.c utaddress.c utcopy.c
+SRCS+=	utalloc.c utascii.c utbuffer.c utaddress.c utcksum.c utcopy.c
 SRCS+=	utdebug.c utdecode.c utdelete.c uterror.c uteval.c utexcep.c
 SRCS+=	utglobal.c uthex.c utids.c utinit.c utlock.c
 SRCS+=	utmath.c utmisc.c utmutex.c utnonansi.c
diff --git a/usr.sbin/acpi/acpidump/Makefile b/usr.sbin/acpi/acpidump/Makefile
index 650e6b0fee..44ad9bd2f3 100644
--- a/usr.sbin/acpi/acpidump/Makefile
+++ b/usr.sbin/acpi/acpidump/Makefile
@@ -24,6 +24,7 @@ SRCS+=	\
 	tbxfroot.c \
 	utascii.c \
 	utbuffer.c \
+	utcksum.c \
 	utdebug.c \
 	utexcep.c \
 	utglobal.c \
diff --git a/usr.sbin/acpi/acpiexec/Makefile b/usr.sbin/acpi/acpiexec/Makefile
index 18c8e56a34..596c04c79a 100644
--- a/usr.sbin/acpi/acpiexec/Makefile
+++ b/usr.sbin/acpi/acpiexec/Makefile
@@ -184,6 +184,7 @@ SRCS+=	\
 	utalloc.c \
 	utbuffer.c \
 	utcache.c \
+	utcksum.c \
 	utcopy.c \
 	utdebug.c \
 	utdecode.c \
diff --git a/usr.sbin/acpi/iasl/Makefile b/usr.sbin/acpi/iasl/Makefile
index b6a1a1e34c..34af54fd10 100644
--- a/usr.sbin/acpi/iasl/Makefile
+++ b/usr.sbin/acpi/iasl/Makefile
@@ -198,6 +198,7 @@ SRCS=	\
 	utascii.c \
 	utbuffer.c \
 	utcache.c \
+	utcksum.c \
 	utcopy.c \
 	utdebug.c \
 	utdecode.c \
